#2667 F36 Change: Enable exclude_from_weak_autodetect by default in LIBDNF
Closed: Accepted 5 days ago by zbyszek. Opened 22 days ago by bcotton.

exclude_from_weak_autodetect enables autodetection of unmet weak dependencies (Recommends or Supplements) of installed packages and blocks installation of packages satisfying already unmet dependencies. In other words: When you don't have the recommended package installed, it won't be automatically installed with future upgrades of the recommending package.


+1 for the general idea but I would really like the feedback to be addressed in the proposal, especially:

  • please, rename the proposal to be more descriptive
  • please, acknowledge the openh264 concern in the proposal, it seems that we need that solved before the contingency deadline

+1 with the same request, though I think @otaylor may be working on solution for openh264 so that we don't have to rely on the upgrade trick anyway.

After a week, the vote is (+2,0,-0). Extending the vote another week.

Note that none of the concerns in my vote has been addressed.

Note that none of the concerns in my vote has been addressed.

Procedurally, I suggest voting -1 until they are addressed if you want your approval to be contingent on the changes. Otherwise it becomes ambiguous for me and the owners. If they're more along the line of suggestions, then a +1 is appropriate, with the understanding that they may not be addressed.

Understood. I'd like to see them addressed but OTOH I want this change to happen.

@jmracek are my concerns valid to you?

With content that is expected to be installed after upgrade it is difficult (openh264). There are workarounds but most of them are not nice or not useful.

Package on the image can be without recommend. Than after the first upgrade the recommended package will be installed. But who wants to have a special package for the image.

I am really sorry but I don't have anything to offer.

With please, rename the proposal to be more descriptive I am not sure what I can do after the change was submitted.

Please just change the title and rename the page. Mediawiki will redirect from the old name.

Maybe "Install only newly recommended packages on upgrades with dnf" ?

+1

This now stands at (+4, 0, 0) and should be considered approved.

Metadata Update from @zbyszek:
- Issue tagged with: pending announcement

6 days ago

I'll put this on the agenda so we can discuss the title change.

Metadata Update from @zbyszek:
- Issue tagged with: meeting

5 days ago

I'll put this on the agenda so we can discuss the title change.

I already changed the title and summary. Please feel free to suggest any further improvements.

Oh, I missed that. So this can be announced and closed then.

We discussed this briefly during today's FESCo meeting. The change will be announced in the summary mail.

Metadata Update from @zbyszek:
- Issue close_status updated to: Accepted
- Issue status updated to: Closed (was: Open)

5 days ago

Metadata Update from @zbyszek:
- Issue untagged with: pending announcement

5 days ago

Login to comment on this ticket.

Metadata